﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Create(this.container);
        }

        private void Create(StackPanel containerParent)
        {
            // Create theme Grid
            #region Theme Grid
            int cols = 50;
            int rows = 50;
            Grid container = new Grid();
            containerParent.Children.Add(container);
            for (int counter = 0; counter < cols; counter++)
            {
                // Define columns
                ColumnDefinition _columnDefinition1 = new ColumnDefinition();
                _columnDefinition1.Width = new GridLength(1, GridUnitType.Star);
                container.ColumnDefinitions.Add(_columnDefinition1);
            }
            for (int counter = 0; counter < rows; counter++)
            {
                // Define rows
                RowDefinition _rowDefinition1 = new RowDefinition();
                _rowDefinition1.Height = new GridLength(1, GridUnitType.Star);
                container.RowDefinitions.Add(_rowDefinition1);
            }
            //
            for (int counter = 0; counter < cols; counter++)
            {
                for (int counter2 = 0; counter2 < rows; counter2++)
                {
                    StackPanel stackPanel = new StackPanel();
                    if ((counter + counter2) % 2 == 0)
                    {
                        stackPanel.Background = new SolidColorBrush(Color.FromArgb(0xFF, 0xFF, 0, 0));
                    }
                    else
                    {
                        stackPanel.Background = new SolidColorBrush(Color.FromArgb(0xFF, 0, 0xFF, 0));
                    }
                    string text = (counter2 % 10).ToString();
                    Grid.SetColumn(stackPanel, counter);
                    Grid.SetRow(stackPanel, counter2);
                    //stackPanel.VerticalAlignment = VerticalAlignment.Stretch;
                    //stackPanel.HorizontalAlignment = HorizontalAlignment.Stretch;
                    TextBlock textBlock = new TextBlock();
                    textBlock.Text = text;
                    textBlock.VerticalAlignment = VerticalAlignment.Center;
                    textBlock.HorizontalAlignment = HorizontalAlignment.Center;
                    stackPanel.Children.Add(textBlock);
                    container.Children.Add(stackPanel);
                }
            }
            //
            WpfClassApp1.UserControl1 userControl1 = new WpfClassApp1.UserControl1();
            Grid.SetColumn(userControl1, 1);
            Grid.SetRow(userControl1, 1);
            Grid.SetColumnSpan(userControl1, 5);
            Grid.SetRowSpan(userControl1, 5);
            container.Children.Add(userControl1);

            #endregion Theme grid
        }
    }
}
